org.eclipse.rdf4j.query.algebra.evaluation.function

## Class BinaryFunction

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.BinaryFunction

- All Implemented Interfaces:
    Function
  Direct Known Subclasses:
    Add, And, Cast, DateFormat, DecimalFormat, Divide, EqualTo, GreaterThan, GreaterThanOrEqualTo, LessThan, LessThanOrEqualTo, Mod, Multiply, NotEqualTo, Or, ParseDate, Subtract

      public abstract class BinaryFunction
      extends Object
      implements Function

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryFunction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Value` | `evaluate(ValueFactory valueFactory, Value... args)` Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `protected abstract Value` | `evaluate(ValueFactory valueFactory, Value arg1, Value arg2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, getURI`

- - ### Constructor Detail

    - #### BinaryFunction

          public BinaryFunction()

  - ### Method Detail

    - #### evaluate

          public Value evaluate(ValueFactory valueFactory,
                                Value... args)
                         throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

    - #### evaluate

          protected abstract Value evaluate(ValueFactory valueFactory,
                                            Value arg1,
                                            Value arg2)
                                     throws ValueExprEvaluationException

      Throws:
        `ValueExprEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.